# ********************************************************************
# Copyright 2021 VMware, Inc.  All rights reserved. -- VMware Confidential
# ********************************************************************

"""http requests construction
"""

# Base class of http request
class Request:
    # Admin do-list-session request
    ADMIN_DO_LIST_SESSION = """<admin version="1.0">
   <do-list-session>
   </do-list-session>
</admin>"""

    # Admin do-disconnect-session request
    ADMIN_DO_DISCONNECT_SESSION = """<admin version="1.0">
   <do-disconnect-session>
        <username>%(username)s</username>
   </do-disconnect-session>
</admin>"""

    # Admin do-kill-session request
    ADMIN_DO_KILL_SESSION = """<admin version="1.0">
   <do-kill-session>
        <username>%(username)s</username>
   </do-kill-session>
</admin>"""

    #
    # Following are http admin requests
    #
    @staticmethod
    def admin_do_list_session():
        return Request.ADMIN_DO_LIST_SESSION

    @staticmethod
    def admin_do_disconnect_session(username):
        return Request.ADMIN_DO_DISCONNECT_SESSION % {'username':username}

    @staticmethod
    def admin_do_kill_session(username):
        return Request.ADMIN_DO_KILL_SESSION % {'username':username}
