#!/bin/sh

###################################################
# Copyright 2021 VMware, Inc.  All rights reserved.
###################################################

#
# Note, this script is to be executed manually to configure selinux
# for tomcat, when enable vadc web client access.
#

if [ "`id -u`" != "0" ]; then
   echo "this script must be executed as superuser"
   exit
fi

echo "Configure tomcat selinux ..."

tmpDir="/tmp/selinux_tomcat"
moduleName=vmwtomcat
policyContent=$tmpDir/$moduleName.te
binaryModule=$tmpDir/$moduleName.mod
modulePackage=$tmpDir/$moduleName.pp

mkdir -p $tmpDir
chmod -R 700 $tmpDir

echo "module $moduleName 1.0;" > $policyContent
echo "require {" >> $policyContent
echo "   type tomcat_t;" >> $policyContent
echo "   type pki_ca_port_t;" >> $policyContent
echo "   class tcp_socket name_bind;" >> $policyContent
echo "}" >> $policyContent
echo "allow tomcat_t pki_ca_port_t:tcp_socket name_bind;" >> $policyContent

checkmodule -M -m $policyContent -o $binaryModule > /dev/null 2>&1
semodule_package -m $binaryModule -o $modulePackage > /dev/null 2>&1
semodule -i $modulePackage > /dev/null 2>&1

[ -n "$tmpDir" ] && rm -rf $tmpDir
