#!/bin/sh

###################################################
# Copyright 2021 VMware, Inc.  All rights reserved.
###################################################

# Constants
VADC_PORT=443

#
# Ensure script is executed by a superuser.
#
if [ "`id -u`" != "0" ]; then
   echo "Must uninstall VADC as a superuser!"
   exit 1
fi

unconfigure_selinux() {

   case "$DISTRO_ID" in
   ${DISTRO_ID_CENTOS}|\
   ${DISTRO_ID_RHEL_CLIENT}|\
   ${DISTRO_ID_RHEL_SERVER}|\
   ${DISTRO_ID_RHEL_WORKSTATION})
      which semodule >/dev/null 2>&1
      if [ "$?" != "0" ]; then
         echo_term "The required command \"semodule\" is currently not installed, configure selinux failed. "
         return
      fi

      semodule -r vmwnginx > /dev/null 2>&1
      semodule -r vmwtomcat > /dev/null 2>&1

      ;;
   ${DISTRO_ID_UBUNTU})
      ;;
   *)
      ;;
   esac
}

echo "Begin uninstall VADC module"

# Load constants
. "`dirname $0`/commonlib.sh"
identify_distribution
define_constants

unconfigure_firewall ${VADC_PORT}
unconfigure_selinux

if [ -d "${VIEWAGENT_PATH}/vadc" ]; then
   rm -rf ${VIEWAGENT_PATH}/vadc
fi

# clean vadc java files
while read filename
do
   path="${VIEWAGENT_JAVA_PATH}/${filename}"
   if [ -f "${path}" ]; then
      rm -f ${path}
   fi
done << !!!
agent-vadc.jar
javax.servlet.jar
jetty.jar
jetty-util.jar
junit.jar
servlet-api.jar
!!!

echo "End uninstall VADC module"
